Subject: bug#55493: [PATCH] Rename Oriya to Odia

From: Visuwesh <[email-masked]>
Date: Wed, 18 May 2022 09:57:56 +0530

[புதன் மே 18, 2022] समीर सिंह Sameer Singh wrote:

> Since Oriya was renamed to Odia in 2011. (https://legislative.gov.in/sites/default/files/A2011-15.pdf) Here is a patch to do
> the same in Emacs.
>
> I have not changed it wherever unicode, is13194, iso639, cdac and akruti were involved, since they all use the old name. (I am
> not sure about cdac though, because I was not able to run their software)
>
> There was also a typo in erc/erc-lang.el and lisp/ldefs-boot.el, iso639-1 was written as iso638, I fixed that.
>
> Please review the patch.
> Also please check if the commit message is correct.
> Thank You.

In the interest of preserving backward compatibility, I think we should
define indian-ori-base-table and indian-ori-itrans-v5-hash an obsolete
alias of indian-odi-base-table and indian-odi-itrans-v5-hash.  I don't
think we can do such a thing for the language environments or the input
methods tho.  We also need to announce these changes in NEWS.

I think we should include the bill link in the commit message for future
readers.